com.ibm.openpages.api.configuration

## Interface IProfile

-     public interface IProfile

  Interface that gives access to an OpenPages profile definition in the form of readily consumable XML document. The profile definition must comply with the openpages.xsd schema.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getDefinition()` Returns the profile definition in XML format.
    `Id` | `getId()` Returns the profile unique Id.
    `java.lang.String` | `getName()` Returns the profile system name.
    `boolean` | `isDefault()` Check if this profile is the default.
    `boolean` | `isDisabled()` Check if this profile is the fallback profile.
    `boolean` | `isFallBack()` Check if this profile is the fallback profile.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the profile system name.
      Returns:
        profile's system name

    - #### getId

          Id getId()

      Returns the profile unique Id.
      Returns:
        profile's id

    - #### getDefinition

          java.io.InputStream getDefinition()

      Returns the profile definition in XML format.
      Returns:
        profile as xml

    - #### isDefault

          boolean isDefault()

      Check if this profile is the default. Return true/false value.
      Returns:
        true if default profile, otherwise false

    - #### isFallBack

          boolean isFallBack()

      Check if this profile is the fallback profile. Return true/false value.
      Returns:
        true if this is a fallback profile, otherwise false

    - #### isDisabled

          boolean isDisabled()

      Check if this profile is the fallback profile. Return true/false value.
      Returns:
        true if this is a fallback profile, otherwise false

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.